Subject: Question about David's blog entry for NetCONF 2006, Day 1

From: Rick Jones <[email-masked]>
Date: Thu, 21 Sep 2006 15:15:14 -0700

I was reading David's blog entries on the netdev meeting in Japan, and 
have a question about this bit:

> Currently, things like Xen have to put the card into promiscuous
> mode, accepting all packets, which is quite inefficient.

Is the inefficient bit meant for accepting all packets, or more broadly 
that the promiscuous path is quite inefficient compared to the 
non-promiscuous path?

I ask because I would have thought that if the system were connected to 
a switch (*), the number of packets received through a NIC in 
promiscuous mode would be nearly the same as when it was not in 
promiscuous mode - the delta being (perhaps) multicast frames.

rick jones

(*) "Today," it seems 99 times out of 10 systems are connected to 
switches not hubs.